Page MenuHomePhabricator

Decrease issues with assignee field set for years without progress (aka cookie licking)
Open, LowestPublic

Tokens
"Like" token, awarded by Lydia_Pintscher."Like" token, awarded by zeljkofilipin."Like" token, awarded by Quiddity."Like" token, awarded by thiemowmde."Like" token, awarded by MusikAnimal.
Assigned To
Authored By
Aklapper, Jul 20 2019

Description

Problem

  • People assign open tasks to themselves and then do not follow up to get these tasks resolved. So these tasks stay open for years without much progress, as nobody else plans to work on a task, as it looks like someone is already working on a task. This is called "cookie licking".

Proposal

  • Send an email to assignees who have open tasks assigned to themselves for a long time, and ask them to update.
  • After a few weeks, send a second and final email, as a reminder.
  • If assignees do not react, reset the assignee field of these tasks. Then email these folks again and include a link to the list of tasks that they have just been unassigned from, to still allow them reclaiming if needed/wanted.

Technical

Existing stuff in the Phab user interface (which does not cover what we want):

Going for an SQL example, this would be a query for open tasks which had their current assignee set more than four years ago ("126144000") from now:
SELECT u.userName, t.id, from_unixtime(ta.dateModified) FROM phabricator_maniphest.maniphest_task t JOIN phabricator_user.user u JOIN phabricator_maniphest.maniphest_transaction ta WHERE (ta.transactionType = "reassign" AND ta.dateModified < (UNIX_TIMESTAMP() - 126144000)) AND u.phid = SUBSTR(ta.newValue, INSTR(ta.newValue, 'PHID-USER-'), 30) AND ta.objectPHID = t.phid AND t.ownerPHID = u.phid AND (t.status = "open" OR t.status = "stalled") ORDER BY ta.dateModified;
Note: Task might have been un- and re-assigned to same person in the meantime so list might not be completely correct.
And not sure how performant that is or whether to include in some weekly cron job email.

Social

Is this something to discuss somewhere? And to bikeshed about a reasonable time span threshold before resetting? Probably yes.

Details

Related Gerrit Patches:

Event Timeline

Aklapper triaged this task as Lowest priority.Jul 20 2019, 11:16 PM
Aklapper created this task.

Change 525449 had a related patch set uploaded (by Aklapper; owner: Aklapper):
[operations/puppet@production] phabricator weekly project changes email: List cookie-licked tasks

https://gerrit.wikimedia.org/r/525449

Change 525449 merged by Dzahn:
[operations/puppet@production] phabricator weekly project changes email: List cookie-licked tasks

https://gerrit.wikimedia.org/r/525449

Mentioned in SAL (#wikimedia-operations) [2019-07-31T18:49:01Z] <mutante> phab1003 - manually running project_changes.sh to create mail to phabricator-reports@lists (T228575)

Dzahn added a subscriber: Dzahn.Jul 31 2019, 6:53 PM

1result for https://gerrit.wikimedia.org/r/c/operations/puppet/+/525449
2
3"List open tasks which have had the same assignee for four years or more"
4
5SELECT CONCAT("https://phabricator.wikimedia.org/T", t.id) AS taskID, u.userName, from_unixtime(ta.dateModified) AS since FROM phabricator_maniphest.maniphest_task t JOIN phabricator_user.user u JOIN phabricator_maniphest.maniphest_transaction ta WHERE (ta.transactionType = "reassign" AND ta.dateModified < (UNIX_TIMESTAMP() - 126144000)) AND u.phid = SUBSTR(ta.newValue, INSTR(ta.newValue, 'PHID-USER-'), 30) AND ta.objectPHID = t.phid AND t.ownerPHID = u.phid AND (t.status = "open" OR t.status = "stalled") ORDER BY ta.dateModified;
6
7+-------------------------------------------+--------------------+---------------------+
8| taskID | userName | since |
9+-------------------------------------------+--------------------+---------------------+
10| https://phabricator.wikimedia.org/T508 | Tgr | 2014-09-29 19:46:23 |
11| https://phabricator.wikimedia.org/T382 | Tgr | 2014-10-01 13:21:21 |
12| https://phabricator.wikimedia.org/T534 | Mglaser | 2014-10-01 16:38:26 |
13| https://phabricator.wikimedia.org/T1268 | fgiunchedi | 2014-11-13 10:38:12 |
14| https://phabricator.wikimedia.org/T75885 | rtnpro | 2014-11-25 14:27:56 |
15| https://phabricator.wikimedia.org/T76084 | rtnpro | 2014-11-26 20:43:37 |
16| https://phabricator.wikimedia.org/T76260 | 01tonythomas | 2014-11-29 06:11:09 |
17| https://phabricator.wikimedia.org/T76429 | XZise | 2014-12-02 02:03:29 |
18| https://phabricator.wikimedia.org/T40829 | happy5214 | 2014-12-02 12:46:09 |
19| https://phabricator.wikimedia.org/T76586 | matthiasmullie | 2014-12-03 18:57:47 |
20| https://phabricator.wikimedia.org/T1345 | Tgr | 2014-12-04 02:42:00 |
21| https://phabricator.wikimedia.org/T76783 | MarkAHershberger | 2014-12-04 21:47:01 |
22| https://phabricator.wikimedia.org/T19689 | Nemo_bis | 2014-12-06 13:38:23 |
23| https://phabricator.wikimedia.org/T76945 | Edokter | 2014-12-10 17:40:28 |
24| https://phabricator.wikimedia.org/T78465 | Jackmcbarn | 2014-12-13 09:28:30 |
25| https://phabricator.wikimedia.org/T76053 | FunPika | 2014-12-14 22:10:08 |
26| https://phabricator.wikimedia.org/T35704 | MaxSem | 2014-12-15 17:25:56 |
27| https://phabricator.wikimedia.org/T78777 | jayvdb | 2014-12-17 12:51:57 |
28| https://phabricator.wikimedia.org/T78816 | MarkAHershberger | 2014-12-17 19:48:40 |
29| https://phabricator.wikimedia.org/T84524 | mark | 2014-12-18 09:26:16 |
30| https://phabricator.wikimedia.org/T84524 | mark | 2014-12-18 19:47:36 |
31| https://phabricator.wikimedia.org/T85059 | Amire80 | 2014-12-20 13:28:32 |
32| https://phabricator.wikimedia.org/T85069 | ashley | 2014-12-20 22:22:30 |
33| https://phabricator.wikimedia.org/T78152 | Xqt | 2014-12-23 08:40:38 |
34| https://phabricator.wikimedia.org/T85278 | akosiaris | 2014-12-24 15:30:30 |
35| https://phabricator.wikimedia.org/T85295 | OrenBochman | 2014-12-25 00:49:30 |
36| https://phabricator.wikimedia.org/T85334 | jayvdb | 2014-12-26 06:54:47 |
37| https://phabricator.wikimedia.org/T66878 | droid | 2014-12-26 19:41:30 |
38| https://phabricator.wikimedia.org/T85451 | fgiunchedi | 2014-12-29 14:38:00 |
39| https://phabricator.wikimedia.org/T85739 | Merl | 2015-01-03 22:10:11 |
40| https://phabricator.wikimedia.org/T86300 | murfel | 2015-01-09 11:22:33 |
41| https://phabricator.wikimedia.org/T86316 | fgiunchedi | 2015-01-09 16:55:38 |
42| https://phabricator.wikimedia.org/T65806 | ImPacific | 2015-01-09 22:34:16 |
43| https://phabricator.wikimedia.org/T86466 | Nemo_bis | 2015-01-11 09:57:49 |
44| https://phabricator.wikimedia.org/T86546 | fgiunchedi | 2015-01-12 16:17:59 |
45| https://phabricator.wikimedia.org/T86848 | Ejegg | 2015-01-14 22:55:41 |
46| https://phabricator.wikimedia.org/T86953 | AndyRussG | 2015-01-15 19:49:16 |
47| https://phabricator.wikimedia.org/T87014 | Mpaa | 2015-01-16 12:59:54 |
48| https://phabricator.wikimedia.org/T87213 | lcawte | 2015-01-20 00:36:16 |
49| https://phabricator.wikimedia.org/T86484 | Nemo_bis | 2015-01-28 09:23:40 |
50| https://phabricator.wikimedia.org/T87792 | ArielGlenn | 2015-01-28 19:58:35 |
51| https://phabricator.wikimedia.org/T55641 | AndyRussG | 2015-01-29 21:55:24 |
52| https://phabricator.wikimedia.org/T88445 | aaron | 2015-02-03 17:30:13 |
53| https://phabricator.wikimedia.org/T28549 | Tgr | 2015-02-03 21:47:39 |
54| https://phabricator.wikimedia.org/T88752 | MeganHernandez_WMF | 2015-02-05 22:26:09 |
55| https://phabricator.wikimedia.org/T88078 | Tgr | 2015-02-06 03:01:57 |
56| https://phabricator.wikimedia.org/T88865 | Pginer-WMF | 2015-02-06 23:47:52 |
57| https://phabricator.wikimedia.org/T88880 | MarkTraceur | 2015-02-07 01:50:31 |
58| https://phabricator.wikimedia.org/T88992 | fgiunchedi | 2015-02-09 16:03:01 |
59| https://phabricator.wikimedia.org/T89051 | Legoktm | 2015-02-09 22:43:45 |
60| https://phabricator.wikimedia.org/T88874 | Tgr | 2015-02-10 06:50:29 |
61| https://phabricator.wikimedia.org/T89188 | K4-713 | 2015-02-10 23:52:58 |
62| https://phabricator.wikimedia.org/T70778 | Rillke | 2015-02-13 18:59:04 |
63| https://phabricator.wikimedia.org/T60993 | Rillke | 2015-02-13 19:06:08 |
64| https://phabricator.wikimedia.org/T56704 | Rillke | 2015-02-13 19:12:40 |
65| https://phabricator.wikimedia.org/T89684 | Rillke | 2015-02-16 23:25:33 |
66| https://phabricator.wikimedia.org/T89719 | Nemo_bis | 2015-02-17 15:30:01 |
67| https://phabricator.wikimedia.org/T87738 | ezachte | 2015-02-17 23:07:05 |
68| https://phabricator.wikimedia.org/T89857 | fgiunchedi | 2015-02-18 18:27:53 |
69| https://phabricator.wikimedia.org/T89916 | Legoktm | 2015-02-19 02:15:34 |
70| https://phabricator.wikimedia.org/T89937 | Tgr | 2015-02-19 06:42:31 |
71| https://phabricator.wikimedia.org/T42128 | Legoktm | 2015-02-20 00:38:15 |
72| https://phabricator.wikimedia.org/T90164 | Pginer-WMF | 2015-02-20 15:41:50 |
73| https://phabricator.wikimedia.org/T89373 | brion | 2015-02-20 17:20:05 |
74| https://phabricator.wikimedia.org/T90240 | ezachte | 2015-02-20 17:40:39 |
75| https://phabricator.wikimedia.org/T90300 | Tgr | 2015-02-21 00:30:22 |
76| https://phabricator.wikimedia.org/T88628 | KMenger | 2015-02-23 20:23:12 |
77| https://phabricator.wikimedia.org/T90492 | despens | 2015-02-23 21:38:18 |
78| https://phabricator.wikimedia.org/T90702 | daniel | 2015-02-25 11:00:32 |
79| https://phabricator.wikimedia.org/T89442 | santhosh | 2015-02-25 15:42:25 |
80| https://phabricator.wikimedia.org/T72513 | matthiasmullie | 2015-02-25 16:06:51 |
81| https://phabricator.wikimedia.org/T58564 | siebrand | 2015-02-26 15:24:56 |
82| https://phabricator.wikimedia.org/T90887 | dan-nl | 2015-02-26 16:14:50 |
83| https://phabricator.wikimedia.org/T90914 | cscott | 2015-02-26 19:47:37 |
84| https://phabricator.wikimedia.org/T484 | cscott | 2015-02-27 15:15:27 |
85| https://phabricator.wikimedia.org/T351 | cscott | 2015-02-27 15:17:57 |
86| https://phabricator.wikimedia.org/T91221 | Reedy | 2015-03-01 23:17:05 |
87| https://phabricator.wikimedia.org/T55140 | Slaporte | 2015-03-02 21:25:50 |
88| https://phabricator.wikimedia.org/T78436 | Slaporte | 2015-03-02 21:26:15 |
89| https://phabricator.wikimedia.org/T91357 | Tgr | 2015-03-03 02:22:23 |
90| https://phabricator.wikimedia.org/T91492 | KartikMistry | 2015-03-04 10:16:42 |
91| https://phabricator.wikimedia.org/T91544 | DaBPunkt | 2015-03-04 20:01:39 |
92| https://phabricator.wikimedia.org/T1351 | DanielFriesen | 2015-03-04 20:39:25 |
93| https://phabricator.wikimedia.org/T468 | K4-713 | 2015-03-04 20:53:28 |
94| https://phabricator.wikimedia.org/T91569 | cscott | 2015-03-04 21:17:48 |
95| https://phabricator.wikimedia.org/T91649 | Tgr | 2015-03-05 15:58:02 |
96| https://phabricator.wikimedia.org/T91657 | cscott | 2015-03-05 17:05:15 |
97| https://phabricator.wikimedia.org/T91689 | brion | 2015-03-05 20:29:12 |
98| https://phabricator.wikimedia.org/T91889 | Rillke | 2015-03-07 17:26:32 |
99| https://phabricator.wikimedia.org/T92112 | Pginer-WMF | 2015-03-10 04:07:04 |
100| https://phabricator.wikimedia.org/T92247 | Tgr | 2015-03-10 10:09:45 |
101| https://phabricator.wikimedia.org/T92471 | Eevans | 2015-03-12 01:32:17 |
102| https://phabricator.wikimedia.org/T92839 | ArielGlenn | 2015-03-16 15:18:10 |
103| https://phabricator.wikimedia.org/T93138 | Tgr | 2015-03-18 22:36:19 |
104| https://phabricator.wikimedia.org/T91928 | Glaisher | 2015-03-20 09:03:26 |
105| https://phabricator.wikimedia.org/T93392 | Tgr | 2015-03-20 18:18:39 |
106| https://phabricator.wikimedia.org/T93397 | Tpt | 2015-03-20 19:06:33 |
107| https://phabricator.wikimedia.org/T93591 | Raymond | 2015-03-23 15:53:46 |
108| https://phabricator.wikimedia.org/T93753 | Lucie | 2015-03-24 15:40:22 |
109| https://phabricator.wikimedia.org/T93059 | MrStradivarius | 2015-03-26 14:25:08 |
110| https://phabricator.wikimedia.org/T90741 | MarkTraceur | 2015-03-27 19:13:13 |
111| https://phabricator.wikimedia.org/T94291 | Tgr | 2015-03-28 01:21:29 |
112| https://phabricator.wikimedia.org/T94296 | tosfos | 2015-03-28 09:26:16 |
113| https://phabricator.wikimedia.org/T94457 | ArielGlenn | 2015-03-30 18:41:03 |
114| https://phabricator.wikimedia.org/T94215 | mark | 2015-03-31 15:31:37 |
115| https://phabricator.wikimedia.org/T94575 | 1Veertje | 2015-03-31 16:22:49 |
116| https://phabricator.wikimedia.org/T94005 | cscott | 2015-03-31 18:18:46 |
117| https://phabricator.wikimedia.org/T78393 | Ricordisamoa | 2015-04-01 10:39:23 |
118| https://phabricator.wikimedia.org/T94872 | Pastakhov | 2015-04-02 18:46:55 |
119| https://phabricator.wikimedia.org/T94879 | Pastakhov | 2015-04-02 18:47:14 |
120| https://phabricator.wikimedia.org/T94991 | Pastakhov | 2015-04-03 09:06:22 |
121| https://phabricator.wikimedia.org/T74207 | XZise | 2015-04-03 21:53:58 |
122| https://phabricator.wikimedia.org/T382 | Tgr | 2015-04-06 08:16:51 |
123| https://phabricator.wikimedia.org/T94307 | Edokter | 2015-04-06 08:56:12 |
124| https://phabricator.wikimedia.org/T91452 | K4-713 | 2015-04-06 21:59:27 |
125| https://phabricator.wikimedia.org/T46066 | Tgr | 2015-04-07 16:50:34 |
126| https://phabricator.wikimedia.org/T95319 | Cenarium | 2015-04-07 17:28:40 |
127| https://phabricator.wikimedia.org/T75181 | Legoktm | 2015-04-07 18:36:16 |
128| https://phabricator.wikimedia.org/T95429 | fgiunchedi | 2015-04-08 15:23:35 |
129| https://phabricator.wikimedia.org/T95144 | MZMcBride | 2015-04-08 19:58:13 |
130| https://phabricator.wikimedia.org/T95612 | Petrb | 2015-04-10 11:38:50 |
131| https://phabricator.wikimedia.org/T93138 | Tgr | 2015-04-15 20:01:57 |
132| https://phabricator.wikimedia.org/T96267 | hoo | 2015-04-16 21:59:15 |
133| https://phabricator.wikimedia.org/T89628 | ssastry | 2015-04-22 04:08:33 |
134| https://phabricator.wikimedia.org/T97030 | cscott | 2015-04-23 14:37:20 |
135| https://phabricator.wikimedia.org/T59894 | Pginer-WMF | 2015-04-24 20:33:40 |
136| https://phabricator.wikimedia.org/T97176 | Pginer-WMF | 2015-04-24 20:46:29 |
137| https://phabricator.wikimedia.org/T97184 | Ladsgroup | 2015-04-24 21:31:42 |
138| https://phabricator.wikimedia.org/T97362 | dr0ptp4kt | 2015-04-27 23:22:54 |
139| https://phabricator.wikimedia.org/T97373 | Pginer-WMF | 2015-04-27 23:52:35 |
140| https://phabricator.wikimedia.org/T97427 | MarkAHershberger | 2015-04-28 16:12:30 |
141| https://phabricator.wikimedia.org/T78605 | Legoktm | 2015-04-28 18:00:22 |
142| https://phabricator.wikimedia.org/T97524 | cscott | 2015-04-29 14:53:43 |
143| https://phabricator.wikimedia.org/T97536 | Legoktm | 2015-04-29 15:25:57 |
144| https://phabricator.wikimedia.org/T93325 | Nirzar | 2015-04-29 19:41:45 |
145| https://phabricator.wikimedia.org/T93527 | Phoenix303 | 2015-05-02 14:04:30 |
146| https://phabricator.wikimedia.org/T94478 | Tgr | 2015-05-06 16:16:46 |
147| https://phabricator.wikimedia.org/T347 | AndyRussG | 2015-05-06 19:47:05 |
148| https://phabricator.wikimedia.org/T388 | Legoktm | 2015-05-06 21:21:06 |
149| https://phabricator.wikimedia.org/T98617 | Cenarium | 2015-05-08 16:17:16 |
150| https://phabricator.wikimedia.org/T98618 | Nirzar | 2015-05-08 16:48:16 |
151| https://phabricator.wikimedia.org/T98700 | Xqt | 2015-05-10 11:39:49 |
152| https://phabricator.wikimedia.org/T91825 | Tgr | 2015-05-10 18:37:42 |
153| https://phabricator.wikimedia.org/T75062 | Tgr | 2015-05-10 18:37:43 |
154| https://phabricator.wikimedia.org/T90300 | Tgr | 2015-05-11 23:47:52 |
155| https://phabricator.wikimedia.org/T98849 | Petrb | 2015-05-12 13:22:03 |
156| https://phabricator.wikimedia.org/T99044 | Halfak | 2015-05-14 07:52:22 |
157| https://phabricator.wikimedia.org/T99045 | Halfak | 2015-05-14 07:52:23 |
158| https://phabricator.wikimedia.org/T99173 | Halfak | 2015-05-14 23:29:42 |
159| https://phabricator.wikimedia.org/T99177 | DarTar | 2015-05-14 23:29:45 |
160| https://phabricator.wikimedia.org/T89107 | Ankita-ks | 2015-05-15 08:24:38 |
161| https://phabricator.wikimedia.org/T99233 | fgiunchedi | 2015-05-15 11:49:05 |
162| https://phabricator.wikimedia.org/T99234 | fgiunchedi | 2015-05-15 11:50:11 |
163| https://phabricator.wikimedia.org/T99412 | Pastakhov | 2015-05-17 06:45:44 |
164| https://phabricator.wikimedia.org/T99132 | dr0ptp4kt | 2015-05-18 17:04:18 |
165| https://phabricator.wikimedia.org/T99568 | Magioladitis | 2015-05-18 19:42:06 |
166| https://phabricator.wikimedia.org/T94295 | Nischayn22 | 2015-05-19 03:34:46 |
167| https://phabricator.wikimedia.org/T18330 | Jackmcbarn | 2015-05-19 15:44:01 |
168| https://phabricator.wikimedia.org/T22707 | Jackmcbarn | 2015-05-19 15:49:14 |
169| https://phabricator.wikimedia.org/T95234 | DarTar | 2015-05-19 20:25:28 |
170| https://phabricator.wikimedia.org/T97778 | Fjalapeno | 2015-05-20 15:39:57 |
171| https://phabricator.wikimedia.org/T88620 | Tgr | 2015-05-21 15:31:23 |
172| https://phabricator.wikimedia.org/T99915 | AndyRussG | 2015-05-21 15:42:23 |
173| https://phabricator.wikimedia.org/T99954 | K4-713 | 2015-05-21 21:22:28 |
174| https://phabricator.wikimedia.org/T99363 | KartikMistry | 2015-05-22 13:51:11 |
175| https://phabricator.wikimedia.org/T97945 | Legoktm | 2015-05-23 12:37:54 |
176| https://phabricator.wikimedia.org/T55197 | Parent5446 | 2015-05-24 08:16:02 |
177| https://phabricator.wikimedia.org/T100153 | MarkTraceur | 2015-05-24 11:11:54 |
178| https://phabricator.wikimedia.org/T56430 | Parent5446 | 2015-05-24 18:46:54 |
179| https://phabricator.wikimedia.org/T56431 | Parent5446 | 2015-05-24 18:47:04 |
180| https://phabricator.wikimedia.org/T100224 | Ckoerner | 2015-05-24 20:06:27 |
181| https://phabricator.wikimedia.org/T78695 | santhosh | 2015-05-25 09:00:47 |
182| https://phabricator.wikimedia.org/T99230 | santhosh | 2015-05-25 09:53:10 |
183| https://phabricator.wikimedia.org/T100323 | Cenarium | 2015-05-25 15:50:23 |
184| https://phabricator.wikimedia.org/T100332 | Tgr | 2015-05-25 16:30:30 |
185| https://phabricator.wikimedia.org/T95742 | mark | 2015-05-27 03:25:07 |
186| https://phabricator.wikimedia.org/T18441 | Ricordisamoa | 2015-05-29 15:31:31 |
187| https://phabricator.wikimedia.org/T100821 | LoopZilla | 2015-05-29 18:33:43 |
188| https://phabricator.wikimedia.org/T100828 | Pginer-WMF | 2015-05-29 19:03:27 |
189| https://phabricator.wikimedia.org/T100973 | Magnus | 2015-06-01 10:53:57 |
190| https://phabricator.wikimedia.org/T100965 | XZise | 2015-06-01 11:02:33 |
191| https://phabricator.wikimedia.org/T101180 | ashley | 2015-06-02 22:04:43 |
192| https://phabricator.wikimedia.org/T101265 | AndyRussG | 2015-06-04 02:24:20 |
193| https://phabricator.wikimedia.org/T45817 | MarkAHershberger | 2015-06-04 15:37:42 |
194| https://phabricator.wikimedia.org/T99188 | Halfak | 2015-06-04 19:35:36 |
195| https://phabricator.wikimedia.org/T100261 | Tnegrin | 2015-06-04 20:38:22 |
196| https://phabricator.wikimedia.org/T101519 | ezachte | 2015-06-05 14:11:59 |
197| https://phabricator.wikimedia.org/T101572 | fgiunchedi | 2015-06-05 23:01:29 |
198| https://phabricator.wikimedia.org/T101639 | Hydriz | 2015-06-07 13:41:10 |
199| https://phabricator.wikimedia.org/T96547 | Pginer-WMF | 2015-06-08 14:21:04 |
200| https://phabricator.wikimedia.org/T78133 | Pginer-WMF | 2015-06-10 08:57:07 |
201| https://phabricator.wikimedia.org/T89661 | daniel | 2015-06-10 10:05:42 |
202| https://phabricator.wikimedia.org/T102043 | Ppena | 2015-06-10 20:14:50 |
203| https://phabricator.wikimedia.org/T102101 | KartikMistry | 2015-06-11 06:58:26 |
204| https://phabricator.wikimedia.org/T102104 | MoritzMuehlenhoff | 2015-06-11 08:27:48 |
205| https://phabricator.wikimedia.org/T73240 | Isarra | 2015-06-11 13:18:45 |
206| https://phabricator.wikimedia.org/T102179 | cscott | 2015-06-11 21:14:47 |
207| https://phabricator.wikimedia.org/T100886 | Bene | 2015-06-12 10:51:28 |
208| https://phabricator.wikimedia.org/T102256 | Pastakhov | 2015-06-12 17:57:45 |
209| https://phabricator.wikimedia.org/T102317 | eranroz | 2015-06-13 02:07:49 |
210| https://phabricator.wikimedia.org/T102420 | Cenarium | 2015-06-14 21:22:58 |
211| https://phabricator.wikimedia.org/T102422 | Petrb | 2015-06-14 23:50:26 |
212| https://phabricator.wikimedia.org/T102575 | fgiunchedi | 2015-06-16 01:17:07 |
213| https://phabricator.wikimedia.org/T101177 | Legoktm | 2015-06-16 19:27:25 |
214| https://phabricator.wikimedia.org/T102486 | Fomafix | 2015-06-17 04:27:23 |
215| https://phabricator.wikimedia.org/T102940 | santhosh | 2015-06-19 05:25:21 |
216| https://phabricator.wikimedia.org/T103078 | Pginer-WMF | 2015-06-19 11:14:06 |
217| https://phabricator.wikimedia.org/T103081 | Pginer-WMF | 2015-06-19 11:17:57 |
218| https://phabricator.wikimedia.org/T103083 | Pginer-WMF | 2015-06-19 11:18:49 |
219| https://phabricator.wikimedia.org/T103402 | Jdforrester-WMF | 2015-06-22 18:55:31 |
220| https://phabricator.wikimedia.org/T103694 | Halfak | 2015-06-24 21:25:44 |
221| https://phabricator.wikimedia.org/T103852 | Petrb | 2015-06-25 13:45:44 |
222| https://phabricator.wikimedia.org/T104033 | Legoktm | 2015-06-26 22:47:27 |
223| https://phabricator.wikimedia.org/T104130 | jayvdb | 2015-06-28 14:51:43 |
224| https://phabricator.wikimedia.org/T88016 | Pchelolo | 2015-06-30 09:05:58 |
225| https://phabricator.wikimedia.org/T104318 | Jhernandez | 2015-06-30 11:27:31 |
226| https://phabricator.wikimedia.org/T104383 | dr0ptp4kt | 2015-06-30 20:50:01 |
227| https://phabricator.wikimedia.org/T104548 | Physikerwelt | 2015-07-02 09:05:38 |
228| https://phabricator.wikimedia.org/T104589 | EBernhardson | 2015-07-02 17:02:28 |
229| https://phabricator.wikimedia.org/T104457 | Halfak | 2015-07-02 22:31:09 |
230| https://phabricator.wikimedia.org/T104660 | Jdlrobson | 2015-07-02 23:44:51 |
231| https://phabricator.wikimedia.org/T104681 | BBlack | 2015-07-03 04:58:42 |
232| https://phabricator.wikimedia.org/T104268 | matthiasmullie | 2015-07-03 08:13:43 |
233| https://phabricator.wikimedia.org/T104756 | PleaseStand | 2015-07-04 23:59:15 |
234| https://phabricator.wikimedia.org/T58303 | m4tx | 2015-07-05 10:34:10 |
235| https://phabricator.wikimedia.org/T104800 | jayvdb | 2015-07-05 12:54:00 |
236| https://phabricator.wikimedia.org/T62534 | Nemo_bis | 2015-07-06 07:29:09 |
237| https://phabricator.wikimedia.org/T104973 | Xqt | 2015-07-07 10:21:40 |
238| https://phabricator.wikimedia.org/T90645 | MaxSem | 2015-07-07 18:09:28 |
239| https://phabricator.wikimedia.org/T100372 | AndyRussG | 2015-07-07 20:13:31 |
240| https://phabricator.wikimedia.org/T105122 | Pginer-WMF | 2015-07-08 07:01:21 |
241| https://phabricator.wikimedia.org/T105144 | Ankita-ks | 2015-07-08 12:41:45 |
242| https://phabricator.wikimedia.org/T105147 | Ankita-ks | 2015-07-08 12:45:24 |
243| https://phabricator.wikimedia.org/T105151 | Ankita-ks | 2015-07-08 12:50:58 |
244| https://phabricator.wikimedia.org/T105191 | Amire80 | 2015-07-08 17:13:16 |
245| https://phabricator.wikimedia.org/T105197 | KartikMistry | 2015-07-08 17:24:42 |
246| https://phabricator.wikimedia.org/T105227 | EBernhardson | 2015-07-08 20:15:45 |
247| https://phabricator.wikimedia.org/T105560 | Petrb | 2015-07-10 22:38:10 |
248| https://phabricator.wikimedia.org/T105586 | Amire80 | 2015-07-11 11:34:49 |
249| https://phabricator.wikimedia.org/T105588 | Amire80 | 2015-07-11 12:21:23 |
250| https://phabricator.wikimedia.org/T105594 | Amire80 | 2015-07-11 14:38:05 |
251| https://phabricator.wikimedia.org/T85711 | XZise | 2015-07-13 15:30:05 |
252| https://phabricator.wikimedia.org/T105789 | dschwen | 2015-07-14 13:26:43 |
253| https://phabricator.wikimedia.org/T105815 | DarTar | 2015-07-14 17:21:54 |
254| https://phabricator.wikimedia.org/T105851 | MrStradivarius | 2015-07-15 02:24:01 |
255| https://phabricator.wikimedia.org/T35186 | brion | 2015-07-16 16:14:17 |
256| https://phabricator.wikimedia.org/T95408 | Legoktm | 2015-07-17 20:33:30 |
257| https://phabricator.wikimedia.org/T106240 | brion | 2015-07-18 21:39:05 |
258| https://phabricator.wikimedia.org/T73598 | cscott | 2015-07-19 15:55:13 |
259| https://phabricator.wikimedia.org/T104699 | MoritzMuehlenhoff | 2015-07-20 09:48:35 |
260| https://phabricator.wikimedia.org/T101141 | fgiunchedi | 2015-07-20 13:12:32 |
261| https://phabricator.wikimedia.org/T106374 | mobrovac | 2015-07-21 19:04:54 |
262| https://phabricator.wikimedia.org/T106346 | fgiunchedi | 2015-07-22 09:02:58 |
263| https://phabricator.wikimedia.org/T88997 | fgiunchedi | 2015-07-22 09:11:22 |
264| https://phabricator.wikimedia.org/T91159 | Amire80 | 2015-07-22 16:17:22 |
265| https://phabricator.wikimedia.org/T106550 | DarTar | 2015-07-22 17:12:31 |
266| https://phabricator.wikimedia.org/T106615 | DarTar | 2015-07-22 21:42:58 |
267| https://phabricator.wikimedia.org/T106079 | cscott | 2015-07-23 00:05:30 |
268| https://phabricator.wikimedia.org/T106703 | Arrbee | 2015-07-23 16:15:06 |
269| https://phabricator.wikimedia.org/T106858 | Halfak | 2015-07-24 17:37:42 |
270| https://phabricator.wikimedia.org/T106941 | Legoktm | 2015-07-25 12:26:21 |
271| https://phabricator.wikimedia.org/T106952 | jayvdb | 2015-07-25 15:47:59 |
272| https://phabricator.wikimedia.org/T107236 | BBlack | 2015-07-29 00:05:13 |
273| https://phabricator.wikimedia.org/T107323 | matthiasmullie | 2015-07-29 17:49:21 |
274| https://phabricator.wikimedia.org/T107383 | DarTar | 2015-07-30 00:05:23 |
275| https://phabricator.wikimedia.org/T107600 | ToAruShiroiNeko | 2015-07-31 16:59:29 |
276| https://phabricator.wikimedia.org/T106846 | ToAruShiroiNeko | 2015-07-31 17:51:10 |
277| https://phabricator.wikimedia.org/T106843 | ToAruShiroiNeko | 2015-07-31 17:53:06 |
278| https://phabricator.wikimedia.org/T107630 | Nirzar | 2015-07-31 21:49:38 |
279| https://phabricator.wikimedia.org/T12453 | Tgr | 2015-08-01 02:11:43 |
280+-------------------------------------------+--------------------+---------------------+
281270 rows in set (0.58 sec)

Thanks for review and merge! Now that we have some data how big the problem is, let me sort out how to best go ahead here. :)

Quiddity renamed this task from Decrease Phab task cookie licking (assignee field set for years without progress) to Decrease issue with assignee field set for years without progress (aka cookie licking).Aug 22 2019, 8:41 AM
Quiddity assigned this task to Aklapper.
Quiddity removed the point value for this task.
Aklapper added a comment.EditedSep 15 2019, 9:04 PM

Something like this, I guess?:

Hi. You receive this message as you have open tasks in Wikimedia
Phabricator which have been assigned to you more than XXX ago:

* <link to task> <date>
* <link to task> <date>

Are you still realistically working (or planning to work) on them?

If you do not plan to work on a task anymore, please remove yourself
from the Assignee field (via "Add Action… 🡒 Assign / Claim" in the
dropdown menu above the comment field), to avoid "cookie licking".
It prevents other people from potentially working on a task if it looks
like you plan to work on a task but realistically don't, plus it can
create wrong expectations about progress on a task. For more info, see
https://community.redhat.com/blog/2018/09/dont-lick-the-cookie/

You can see a list of all tasks (not only older ones) assigned to you
at https://phabricator.wikimedia.org/maniphest/query/assigned/

In case you are looking for "personal bookmarks for tasks", please see
https://www.mediawiki.org/wiki/Phabricator/Help#Personal_lists_of_items

See https://www.mediawiki.org/wiki/Phabricator/Help/Managing_mail
if notifications make it hard for you to efficiently use Phabricator.

For general questions about Phabricator, please feel free to ask on
https://www.mediawiki.org/wiki/Talk:Phabricator/Help - happy to help!

Thanks a lot!

Still wondering if this is a good idea / welcome / wanted, though.
Maybe a question for developer productivity folks.

Aklapper renamed this task from Decrease issue with assignee field set for years without progress (aka cookie licking) to Decrease issues with assignee field set for years without progress (aka cookie licking).Sep 24 2019, 8:10 AM

To get more opinions, I put up a quick and dirty "Phabricator survey" paper at Wikimedia Technical Conference 2019:


There seems to be support for this.

Aklapper updated the task description. (Show Details)Sat, Nov 23, 11:14 AM

Why so complicated? Just clear the assignment if a task did not receive any update for – let's say – 3 months. No extra email spam, please. The only email might be the one that un-assigns somebody from a task. The email text could explain the reasoning, and ask for an action. That action could be as simple as re-assigning yourself, and the task is yours for 3 more months.

I'm intentionally picking a rather long period – not less than 2 months, better 3, maybe 6 – because it could as well be that a team committed to a larger set of tasks that take a while because they are able to tackle the last. If in doubt, please pick the longer time to reduce the amount of bot-actions that annoy people.

@thiemowmde: While I agree with you in theory, I'm afraid that in practice not everybody has the same Phabricator notification workflows or pays the same attention/diligence. Some people might have set "A task's owner changes." under "Maniphest Tasks" on https://phabricator.wikimedia.org/settings/panel/emailpreferences/ to "Ignore". (I've also been involved in other open source projects with volunteer maintainers with very limited time who asked to not close tasks which lack information from the reporter after six months etc., just to provide a slightly related example.)
The idea is to be more transparent and realistic without making some people's planning (may it be realistic or not) harder. People are different...

I'm afraid that in practice not everybody has the same […] notification workflows or pays the same attention/diligence. […]

One could argue that it's even less of a problem to unassign people from effectively stalled tasks if these people don't even pay attention. As I tried to argue above: What would be the harm?

The only scenario I can imagine at the moment is a dev using a list of "tasks assigned to me" on a regular basis to keep track of what to work on. This workflow might get a little shaky, and can easily be fixed by giving this dev a personal #user-… tag.

Hmm, looking at such tasks, I'm wondering what to do with tasks that have the stalled status (random example: https://phabricator.wikimedia.org/T130689 ) and tasks with Patch-For-Review - for example, when an associated patch in gerrit is unreviewed and the corresponding task is assigned to the patch author.

Hmm, looking at such tasks, I'm wondering what to do with tasks that have the stalled status (random example: https://phabricator.wikimedia.org/T130689 ) and tasks with Patch-For-Review - for example, when an associated patch in gerrit is unreviewed and the corresponding task is assigned to the patch author.

Well, if a patch has been submitted and unreviewed, I don't think its cookie licking, but rather an issue of there not being a clear way for volunteers to get patches reviewed by those with +2

Right. The question is whether to somehow try to exclude such tasks from nagging assignees...

Dzahn added a comment.Wed, Dec 4, 10:57 PM

Don't they have to be nagged to .. do the review.. though?

Dzahn added a comment.Wed, Dec 4, 11:00 PM

One could argue that it's even less of a problem to unassign people from effectively stalled tasks if these people don't even pay attention. As I tried to argue above: What would be the harm?

If a ticket is assigned to somebody and you turn it into an unassigned ticket, what does that fix? Is the assumption that then other people would take the ticket seeing it as "free to take"? I am afraid that's going to be rare case compared to how many tickets really can only be done by the person who is already assigned but did not get to it.

Perhaps we generate a report to see how many tasks it would effect first
before doing any changes?

Don't they have to be nagged to .. do the review.. though?

Yes, but the person to do the review is not the assignee (patch author).

If a ticket is assigned to somebody and you turn it into an unassigned ticket, what does that fix?

It fixes the incorrect impression and expectation that someone is actively working on fixing the issue described in the ticket.

For the last three years (94608000) we talk about 965 tasks. For the last two years (63072000) we talk about 1630 tasks.

Dzahn added a comment.Thu, Dec 5, 7:39 PM

Don't they have to be nagged to .. do the review.. though?

Yes, but the person to do the review is not the assignee (patch author).

If ticket has "patch-for-review" AND is stale/cookie-licked then have review-bot nag reviewers on Gerrit ?:)

Gerrit itself would be off-topic here, however: I don't think that some review-bot sending more mail solves a problem if people already ignore Gerrit mail because of too much Gerrit mail. Better code review workflows would help though - also see https://www.mediawiki.org/wiki/Code_Health_Group/projects/CodeReview :)